Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-49514 Review third party libraries for new versions (2.9)
  3. MDL-49520

Upgrade Compatible password hashing library for Moodle 2.9 release

    XMLWordPrintable

    Details

    • Type: Sub-task
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.8
    • Fix Version/s: 2.9
    • Component/s: Libraries
    • Labels:
    • Testing Instructions:
      Hide

      To be tested on: PHP >= 5.5 and PHP < 5.5

      1. Run vendor/bin/phpunit lib/password_compat/tests/
      2. Create a new user
      3. Login as that user
      4. Change your password
      5. Logout and log back in
      Show
      To be tested on: PHP >= 5.5 and PHP < 5.5 Run vendor/bin/phpunit lib/password_compat/tests/ Create a new user Login as that user Change your password Logout and log back in
    • Affected Branches:
      MOODLE_28_STABLE
    • Fixed Branches:
      MOODLE_29_STABLE
    • Pull from Repository:
    • Pull Master Branch:
      MDL-49520-master
    • Story Points:
      5
    • Sprint:
      Team '; drop tables Sprint 5

      Description

      Library: Compatible password hashing
      There are no versions, just github branch, changes from the last pull: https://github.com/ircmaxell/password_compat/compare/c91b1168bc53c26f56fc65f16958b5be45ca5dc9...master

      Make sure to update files:

      • lib/password_compat/ (library itself)
      • lib/thirdpartylibs.xml (indicate the current version)
      • lib/password_compat/readme_moodle.txt (indicate the current version and/or changes made)

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Fix Release Date:
                11/May/15